/**
 * AllTests.java
 * Created: Jul 17, 2005
 */
package tests.jmdp;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author Germn Riao. Universidad de los Andes. (C) 2005
 *
 */
public class AllJMDPTests {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		junit.swingui.TestRunner.run(AllJMDPTests.class);
	}

	/**
	 * @return the Test
	 */
	public static Test suite() {
		TestSuite suite = new TestSuite("Test for tests");
//		$JUnit-BEGIN$
        suite.addTestSuite(ControlProduccionTest.class);
        suite.addTestSuite(CowHerdTest.class);		
		suite.addTestSuite(InfStochasticDemandTest.class);				
		suite.addTestSuite(OrderProcessingTest.class);
        suite.addTestSuite(StochasticDemandTest.class);
        suite.addTestSuite(WagnerWhitinTest.class);
		suite.addTest(TestExamples.suite());
		//$JUnit-END$
		return suite;
	}

}
