/**
 * TestExamples.java
 * Created: Jul 15, 2005
 */
package tests.jmdp;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import examples.jmdp.InfStochasticDemand;
import examples.jmdp.StochasticDemand;
import examples.jmdp.WagnerWhitin;

/**
 * @author Germn Riao. Universidad de los Andes. (C) 2005
 */
public class TestExamples extends TestCase {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		junit.swingui.TestRunner.run(TestExamples.class);
	}

	/**
	 * @return a Test suite wit h all the examples
	 */
	public static Test suite() {
		TestSuite suite = new TestSuite("Test for jmdp.tests");
		final String[] a = new String[] {};

		suite.addTest(new TestCase("WagnerWhitin") {
			@Override
			protected void runTest() throws Throwable {
				WagnerWhitin.main(a);
			}
		});
		suite.addTest(new TestCase("StochasticDemand") {
			@Override
			protected void runTest() throws Throwable {
				StochasticDemand.main(a);
			}
		});
		suite.addTest(new TestCase("InfStochasticDemand") {
			@Override
			protected void runTest() throws Throwable {
				InfStochasticDemand.main(a);
			}
		});
		return suite;
	}

}
