/*
 * Copyright (C) 2003-2005 Bjrn-Ove Heimsund
 * 
 * This file is part of MTJ.
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package no.uib.cipr.matrix.test;

import no.uib.cipr.matrix.TridiagMatrix;

/**
 * Test of tridiagonal matrices
 */
public class TridiagMatrixTest extends StructImmutableMatrixTest {

    public TridiagMatrixTest(String arg0) {
        super(arg0);
    }

    @Override
    protected void setup() throws Exception {
        int n = Math.max(Utilities.getInt(max), 1);
        A = new TridiagMatrix(n);
        Ad = Utilities.bandPopulate(A, 1, 1);
    }

    @Override
    public void testTransMatrixSolve() {
        // Not supported
    }

    @Override
    public void testTransVectorSolve() {
        // Not supported
    }

}
